Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class AlphabetContainer.AbstractAlphabetContainerParameterSet<T extends AlphabetContainer>

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.data.AlphabetContainer.AbstractAlphabetContainerParameterSet<T>

Type Parameters:
  `T` - the type of the `AlphabetContainer.AbstractAlphabetContainerParameterSet`

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

Direct Known Subclasses:
  AlphabetContainerParameterSet, DNAAlphabetContainer.DNAAlphabetContainerParameterSet

Enclosing class:
  AlphabetContainer

    public abstract static class AlphabetContainer.AbstractAlphabetContainerParameterSet<T extends AlphabetContainer>

extends InstanceParameterSet<T>

This class is the super class of any `InstanceParameterSet` for `AlphabetContainer`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`protected` | `AlphabetContainer.AbstractAlphabetContainerParameterSet(Class<? extends T> instanceClass)` Constructs an `AlphabetContainer.AbstractAlphabetContainerParameterSet` from the class that can be instantiated using this `AlphabetContainer.AbstractAlphabetContainerParameterSet`.
`protected` | `AlphabetContainer.AbstractAlphabetContainerParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`AlphabetContainer.AbstractAlphabetContainerParameterSet<T>` | `clone()` Creates a full clone (deep copy) of this `ParameterSet`.
`abstract int` | `getPossibleLength()` Returns the length of the `AlphabetContainer` that can be instantiated using this `ParameterSet`.
`abstract boolean` | `isDiscrete()` Indicates if all positions use `DiscreteAlphabet.DiscreteAlphabetParameterSet`, i.e.
`abstract boolean` | `isSimple()` Indicates if all positions use the same `Alphabet`, i.e. if the corresponding `AlphabetContainer` is simple.

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, getInstanceComment, getInstanceName, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlphabetContainer.AbstractAlphabetContainerParameterSet

    protected AlphabetContainer.AbstractAlphabetContainerParameterSet(Class<? extends T> instanceClass)

  Constructs an `AlphabetContainer.AbstractAlphabetContainerParameterSet` from the class that can be instantiated using this `AlphabetContainer.AbstractAlphabetContainerParameterSet`.

  Parameters:
    `instanceClass` - the class to be instantiated

### AlphabetContainer.AbstractAlphabetContainerParameterSet

    protected AlphabetContainer.AbstractAlphabetContainerParameterSet(StringBuffer xml)
                                                               throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `AlphabetContainer.AbstractAlphabetContainerParameterSet` out of its XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `AlphabetContainer.AbstractAlphabetContainerParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `InstanceParameterSet.InstanceParameterSet(StringBuffer)`, `Storable`

Method Detail

### getPossibleLength

    public abstract int getPossibleLength()

  Returns the length of the `AlphabetContainer` that can be instantiated using this `ParameterSet`.

  Returns:
    the length
  See Also:
    `AlphabetContainer.getPossibleLength()`

### isDiscrete

    public abstract boolean isDiscrete()

  Indicates if all positions use `DiscreteAlphabet.DiscreteAlphabetParameterSet`, i.e. if all `Alphabet`s of the corresponding `AlphabetContainer` are discrete.

  Returns:
    `true` if all positions are discrete, `false` otherwise
  See Also:
    `AlphabetContainer.isDiscrete()`

### isSimple

    public abstract boolean isSimple()

  Indicates if all positions use the same `Alphabet`, i.e. if the corresponding `AlphabetContainer` is simple.

  Returns:
    `true` if all positions use the same `Alphabet`, `false` otherwise

### clone

    public AlphabetContainer.AbstractAlphabetContainerParameterSet<T> clone()
                                                                                               throws CloneNotSupportedException

  Description copied from class: `ParameterSet`
  Creates a full clone (deep copy) of this `ParameterSet`. As a convenience-method the user can use `fillWithStandardFieldsForClone(ParameterSet)` on a newly created instance of a subclass of `ParameterSet` to obtain a clone/copy of all standard member variables (those already defined in `ParameterSet`) in the passed `ParameterSet`. Using this method, the cloning process becomes merely three-step:
  - Create a new instance of your subclass of `ParameterSet`, most likely with an empty constructor or the one taking just the instance class.
  - Call `this.fillWithStandardFieldsForClone` on this instance.
  - Return the instance.
  This method fulfills the conventions of `Object`'s method `Object.clone()`.

  Overrides:
    `clone` in class `ParameterSet`
  Returns:
    a deep clone/copy of this `ParameterSet`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD